Kali 2016.2/Dradis - Rails startup problem


#1

Hello,
I uninstalled Dradis that came with Kali 2016.2, installed the pre-requisites and then reinstalled Dradis from Github by following the directions in Kali Dradis installation.

However, I’m having problems starting the server. When i run the command: ‘bundle exec rails server’ I get the following error and http://localhost:3000 doesn’t load.

oot@kali:/usr/lib/dradis-ce# bundle exec rails server
DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from require at /usr/lib/ruby/vendor_ruby/bundler/runtime.rb:91)
DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from require at /usr/lib/ruby/vendor_ruby/bundler/runtime.rb:91)
=> Booting Thin
=> Rails 5.0.1 application starting in development on http://localhost:3000
=> Run rails server -h for more startup options
Exiting
/var/lib/gems/2.3.0/gems/actionpack-5.0.1/lib/action_dispatch/middleware/session/abstract_store.rb:90:in `module:Session’: uninitialized constant Rack::Session::Abstract::Persisted (NameError)


#2

@modad34 are you able to run other Rails apps on your system? If not, can you see if the full error message matches this SO topic? http://stackoverflow.com/questions/39190880/uninitialized-constant-racksessionabstractpersisted-to-start-rails-5-serve

Keep us posted!


Error after execute command: bundle exec rails server